/*!
Theme Name: Lucid Realty 2021
Theme URI: https://pilotdigital.com/themes/chicago-1924
Author: Pilot Digital
Author URI: http://pilotdigital.com
Description: first aerial circumnavigation of the world
Version: 1.0.0
Template: chicago-1924
License: GNU General Public License v2 or later
License URI: LICENSE
Text Domain: chicago-1924
Tags: custom-background, custom-logo, custom-menu, featured-images, threaded-comments, translation-ready

Chicago 1924 is based on Underscores https://underscores.me/, (C) 2012-2017 Automattic, Inc.
Underscores is distributed under the terms of the GNU GPL v2 or later.

Stylesheet: 769 and Up Stylesheet

Styles for mid-range devices up starting at 769 and up to 1219.

******************************************************************/

/* Menus
============================================================= */

header.site-header.didScroll {
  background: white;
}

.main-navigation {
  width: auto;
}

.main-navigation #primary-menu > li {
  padding: 1.05rem 0 2rem;
}

/* .main-navigation #primary-menu > li:not(:last-child) {
  margin-right: 1rem;
} */

#primary-menu > li {
  font-size: .9rem;
  border-bottom: 3px solid transparent;
  margin-top: 3px;
}

#primary-menu > li.current-menu-item > a{
  text-decoration: underline;
}

.main-navigation #primary-menu li a {
	color: var(--secondary);
}

#primary-menu > li.current-menu-item > a,
.main-navigation #primary-menu li a:hover {
	color: var(--primary);
}

.main-navigation #primary-menu .sub-menu li:not(.menu-header):hover {
  background: none;
}

.main-navigation #primary-menu > li.menu-open > a,
.main-navigation #primary-menu > li.menu-item-has-children.menu-open:after {
  color: var(--primary);
}

.main-navigation ul ul {
  border-top: 2px solid var(--primary);
  box-shadow: 0 1px 1px rgba(0,0,0,.2);
}

.main-navigation .menu-item.menu-item-has-children > ul.sub-menu {
  width: max-content;
}

.main-navigation li .sub-menu li {
  padding: .25rem 0;
}

.main-navigation #primary-menu > li#menu-item-99::before {
  content: '\007C';
  padding-right: .75rem;
}

/*--------------------------------------------------------------
# Layout
--------------------------------------------------------------*/

/* Flex
============================================================= */

/* .site-branding {
  flex: 0 0 33%;
} */

.single-post article.type-post.post div.entry-content {
  flex-basis: 65%;
}

.single-post article.type-post.post aside#secondary {
  flex-basis: 35%;
  padding: 2rem;
  background: #f7f7f8;
}

.archive .archive-content {
  flex-basis: 70%;
}

.archive .archive-sidebar {
  flex-basis: 30%;
}
/* Flex Alignment ---------------------------------- */

.main-navigation #primary-menu {
  justify-content: flex-end;
}

/* CSS Grid
============================================================= */

.page .site-main > article.has-post-thumbnail > .entry-header {
  -ms-grid-rows: 75px auto auto auto auto;
  grid-template-rows: 75px auto max-content max-content auto;
}

.page .site-main > article.has-post-thumbnail > .entry-header.empty-top-bar {
  -ms-grid-rows: 25px auto auto auto auto;
  grid-template-rows: 25px auto max-content max-content auto;
}

/* Grid Column Placement --------------------------- */

.page .site-main > article.has-post-thumbnail > .entry-header.empty-top-bar h1,
.page .site-main > article.has-post-thumbnail > .entry-header h2,
.page .site-main > article.has-post-thumbnail > .entry-header p,
.page .site-main > article.has-post-thumbnail > .entry-header::before {
  -ms-grid-column-span: 3;
  -ms-grid-column: 2;
  grid-column: 1 / span 3;
}

/* Grid Row Placement ------------------------------ */


/*--------------------------------------------------------------
# Content
--------------------------------------------------------------*/

img.custom-logo {
  height: 70px;
  width: auto;
}

main > header,
main .page-header,
main > article > .entry-header,
.entry-content > .wall-to-wall:not(:last-child):not(.no-bottom-margin),
.page-content,
.bg-blue,
.section-cta-call .wp-block-columns,
.resource-links {
  margin-bottom: 3rem;
}

.wall-to-wall.bg-light > .wp-block-group__inner-container,
.wall-to-wall.bg-blue > .wp-block-group__inner-container,
.wall-to-wall.bg-grey > .wp-block-group__inner-container,
.join-lucid-callout .wp-block-group__inner-container {
  padding-top: 4rem;
  padding-bottom: 2.5rem;
}

.wall-to-wall.content-width .wp-block-group__inner-container {
  padding: 1rem;
}

.page-id-9223372036854775807 main > article > .entry-header {
  margin-bottom: 3rem;
}

.page .site-main > article.has-post-thumbnail > .entry-header,
.page .site-main > article.has-post-thumbnail > .entry-header img {
  height: 500px;
}

.page .site-main > article.has-post-thumbnail > .entry-header img {
  object-position: center;
}

/* Pages
============================================================= */

/* CTAs */

.section-cta {
  background: var(--primary);
  padding: 4rem 2rem;
}

.section-cta h2 {
  max-width: 32ch;
  margin-left: auto;
  margin-right: auto;
}

.section-cta-call .wp-block-columns h2,
.section-cta-call .wp-block-columns p {
  margin-bottom: 0;
}

.lucid-services .wp-block-column:last-of-type {
  padding-top: 1rem;
}

.seller-fees > .wp-block-column:last-child {
  border-left: 1px solid var(--secondary);
  margin-left: 1rem;
  padding-left: 1rem;
}

/* Search */

.search .flex article {
  flex: 0 1 30%;
  margin: 1.5%;
  margin-bottom: 1.5%;
  margin-bottom: 3rem;
  padding-bottom: 1rem;
  border-bottom: 1px solid var(--neutral-300);
}

/* Single Realtor */

.single-lucid-realtor .testimonials blockquote {
  padding: 1.5rem 3rem 2rem;
}

/* Neighborhood Pages */

.neighborhood-table .wp-block-table {
  column-count: 2;
}

/* Footer
============================================================= */

#gform_widget-2 {
  border-left: 1px solid var(--secondary);
  padding-left: 1.5rem;
}

/*--------------------------------------------------------------
# Media Queries
--------------------------------------------------------------*/


@media screen and (max-width: 1220px) and (min-width: 769px) {

  .site-branding .site-description {
    flex: 1 1 100%;
    text-align: left;
    margin: .3rem 0 .25rem;
  }

  #primary-menu > li {
    font-size: .85rem;
  }
}

@media screen and (min-width: 860px) {

  /*.site-header {
    background: linear-gradient(90deg, rgba(255,255,255,1) 0%, rgba(255,255,255,1) 36%, rgba(247,247,248,1) 36%, rgba(247,247,248,1) 100%);
  }*/

  .lucid-services .wp-block-column.flex {
    flex-wrap: nowrap;
  }

  .wrapper-width .wp-block-columns.bg-blue .wp-block-column:first-of-type > * {
    padding-left: 3rem;
    padding-right: 3rem;
  }
}

@media screen and (max-width: 1048px) {
  .main-navigation #primary-menu > li:not(:last-child) {
    margin-right: .9rem;
  }

  h1, h2 {
    font-size: calc(1.5rem + .25vw);
  }
}

@media screen and (max-width: 859px) {

  .site-branding,
  .main-navigation {
    flex: 1 1 100%;
  }

  .main-navigation #primary-menu {
    justify-content: space-between;
  }

  .main-navigation #primary-menu > li {
    padding: .5rem 0;
  }

  .header-phone-contact {
    position: absolute;
    top: 0.5rem;
    right: 1rem;
  }
}
